
/********************************************************************************
 * Copyright (c) 2021-2024 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

#pragma once

#include <memory>
#include <string>

#include "ApiClassInterfacesV1_3.h"
#include "openScenarioLib/generated/v1_3/api/ApiClassInterfacesV1_3.h"

namespace OPENSCENARIO {

struct {{element.type}}{};

inline {{element.type}} ConvertScenario{{element.type}}({{element.interface_type}} {{element.interface_name}})
{
    return {};
}


} // namespace OPENSCENARIO